=== debian/control ===
Source: ros-lunar-moveit-ros-move-group
Section: misc
Priority: extra
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-actionlib, ros-lunar-catkin, ros-lunar-moveit-core, ros-lunar-moveit-resources, ros-lunar-moveit-ros-planning, ros-lunar-pluginlib, ros-lunar-rostest, ros-lunar-std-srvs, ros-lunar-tf
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-lunar-moveit-ros-move-group
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-actionlib, ros-lunar-moveit-core, ros-lunar-moveit-kinematics, ros-lunar-moveit-ros-planning, ros-lunar-pluginlib, ros-lunar-std-srvs, ros-lunar-tf
Description: The move_group node for MoveIt
